PHP ��U
前一頁 |  | 下一頁

# bzwrite

(PHP 4 >= 4.3.3, PHP 5)

bzwrite -- Binary safe bzip2 file write

## Description

int bzwrite ( resource bz, string data [, int length] )

bzwrite() writes a string into the given bzip2 file stream.

## Parameters

bz

  The file pointer. It must be valid and must point to a file successfully opened by bzopen().

data

  The written data.

length

  If supplied, writing will stop after length (uncompressed) bytes have been written or the end of data is reached, whichever comes first.

## Return Values

Returns the number of bytes written, or `FALSE` on error.

## �d��

範例 1. bzwrite() example

`<?php $str = "uncompressed data"; $bz = bzopen("/tmp/foo.bz2", "w"); bzwrite($bz, $str, strlen($str)); bzclose($bz); ?>`

## �Ѧ�

bzread()
bzopen()

前一頁 | 內容 | 下一頁
bzread | 上一層 | Calendar Functions